#ifndef THUMBNAIL_H
#define THUMBNAIL_H

typedef enum {
        THUMBNAIL_SUCCESS = 1 ,
		THUMBNAIL_ERROR_NO_SHELL ,
        THUMBNAIL_ERROR_STR_CONV ,
        THUMBNAIL_ERROR_DIRECTORY ,
        THUMBNAIL_ERROR_FILE_NAME ,
        THUMBNAIL_ERROR_NO_EXTRACT ,
        THUMBNAIL_ERROR_EXTRACT_FAILED ,
        THUMBNAIL_ERROR_EXTRACT_FAILED_2 ,
        THUMBNAIL_ERROR_SAVE_FAILED ,
        } Thumbnail_Convert_Error ;

const char * Thumbnail_Get_Error ( Thumbnail_Convert_Error ce ) ;

Thumbnail_Convert_Error Thumbnail_Convert ( 
                        const char * input_file_name ,
                        const char * output_file_name ,
                        int longest_edge , int colour_depth ) ;

void Thumbnail_Init ( void ) ;


#endif



